cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/settings/organisation" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.organisation.get_settings_organisation()
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.organisation.getSettingsOrganisation();
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->organisation->getSettingsOrganisation();
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.organisation.organisation_dto.OrganisationDto.SettingsOrganisation;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<SettingsOrganisation> response = client.organisation().getSettingsOrganisation();
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Organisation.GetSettingsOrganisationAsync();
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.organisation.getSettingsOrganisation();
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Organisation().GetSettingsOrganisation(context.Background(), nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"organization": {
"object": "<string>",
"id": "<string>",
"status": "<string>",
"name": "<string>",
"display_name": "<string>",
"type": "<string>",
"description": "<unknown>",
"email": "<unknown>",
"phone": "<unknown>",
"phone_country_code": "<unknown>",
"phone_area_code": "<unknown>",
"fax": "<unknown>",
"fax_country_code": "<unknown>",
"fax_area_code": "<unknown>",
"mobile": "<unknown>",
"mobile_country_code": "<unknown>",
"mobile_area_code": "<unknown>",
"website": "<unknown>",
"address_line1": "<unknown>",
"address_line2": "<unknown>",
"address_line3": "<unknown>",
"address_line4": "<unknown>",
"address_line5": "<unknown>",
"city": "<unknown>",
"state": "<unknown>",
"post_code": "<unknown>",
"parent_organization": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"nodes": "<array>",
"details": "<unknown>",
"created_on": "<string>",
"last_updated_on": "<string>",
"created_by": "<unknown>",
"last_updated_by": "<unknown>",
"href": "<string>"
}
}Organisation
Retrieve the root organisation
Returns the root organisation of your instance under organization.
GET
/
settings
/
organisation
cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/settings/organisation" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.organisation.get_settings_organisation()
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.organisation.getSettingsOrganisation();
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->organisation->getSettingsOrganisation();
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.organisation.organisation_dto.OrganisationDto.SettingsOrganisation;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<SettingsOrganisation> response = client.organisation().getSettingsOrganisation();
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Organisation.GetSettingsOrganisationAsync();
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.organisation.getSettingsOrganisation();
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Organisation().GetSettingsOrganisation(context.Background(), nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"organization": {
"object": "<string>",
"id": "<string>",
"status": "<string>",
"name": "<string>",
"display_name": "<string>",
"type": "<string>",
"description": "<unknown>",
"email": "<unknown>",
"phone": "<unknown>",
"phone_country_code": "<unknown>",
"phone_area_code": "<unknown>",
"fax": "<unknown>",
"fax_country_code": "<unknown>",
"fax_area_code": "<unknown>",
"mobile": "<unknown>",
"mobile_country_code": "<unknown>",
"mobile_area_code": "<unknown>",
"website": "<unknown>",
"address_line1": "<unknown>",
"address_line2": "<unknown>",
"address_line3": "<unknown>",
"address_line4": "<unknown>",
"address_line5": "<unknown>",
"city": "<unknown>",
"state": "<unknown>",
"post_code": "<unknown>",
"parent_organization": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"nodes": "<array>",
"details": "<unknown>",
"created_on": "<string>",
"last_updated_on": "<string>",
"created_by": "<unknown>",
"last_updated_by": "<unknown>",
"href": "<string>"
}
}The response holds the root organisation under
organization, spelled with a z: its name, status, type, contact and address fields, and its parent_organization. The root’s type is root, and it names itself as its parent. This record is read only.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token.